Subject: Re: Genie...is it worth it?
From: [email-masked] (J. L. Walters)
Date: Thu, 18 May 1995 01:50:58 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]>,
James OReilly <[email-masked]> wrote:

> Is it possible to stay under the basic monthly service
> and still make use of its services?
If and only if you stay away from the Real Time Chats. They can and
will eat your pocketbook to shreds. My friend Howard gets hit with
$50/month on a regular basis.

> Are there programs to quickly grab all the files one wants and then
> get off?

Yes, however, the best investment is an AppleWorks DB of their wares so
you can decide off-line what it is you want and go get it in a hurry.

GEnie has the DB available for download. In addition, they offer
updates from time to time. I didn't use either method to obtain mine.

1. Go to downloads
2. Ask to see the entire list. Since I use ProTerm I let it go into
   my scrollback. You can also set your telecommunications program up
   to capture to disk.
3. Log off and use GNO/Me and awk (All hail Jawaid for making awk
   available) to turn the text file into a tab delimited record which
   can be imported into AppleWorks as a text file with tab....
4. For updates there is an option to give you all new downloads added
   since you last asked. Follow step 3 to make an update file.

Here is the program I use:

# GEnie downloads are shown on two lines. This turns the two
# into a single line with each category separated with a tab

$1 ~ /^[ 0-9][0-9]/ && state == 0 { #Look for line beginning with digits
state = 1
x = $1			#The file number
z = index($0,$2)	#Find out where $2 begins
y = substr($0,z,(31 - z)) #Get $2 and dross
gsub(/[ ]*$/,"",y)	#Nuke trailing blanks
x = x "\t" y		#First two fields done
$0 = substr($0,33,length($0) - 32) #Nuke third "X" field
for(i=1;i<=NF;i++) {
	x = x "\t" $i
	}
next			#Get next line of input
}

state == 1 {		#We saw the first line. Now seeing second.
y = index($0,"Desc:")
if(y == 0) {
	print "Grave error with record " NR "\n" x "\n" $0 "\n\n"
	state = 0
	next
	}
z = substr($0,y+6,length($0) - (y+5)) #Nuke "Desc: "
print x "\t" z		#Print the DB entry
state = 0		#Set up for first line of next entry
next
}
{			#Bug if we get here
print "In default in error for record " NR "\n with $0 = " $0 "\n\n"
print "state = " state
state = 0
next
}

> Not to get personal or  intrusive (after all, you only answer this if
> you want to), how much do you pay monthly?
The basic service now costs $7.50. It did cost $8.95. Since you always
pay the min you are really interested in how often I go over the
min. I usually don't go over by more than $1. I do watch my bill by
typing "bill" several times a month.

> Does it vary wildly from month to month? 
Not for me.

Kind Regards,

-- 

		Joe Walters att!nwsrs!bird NW 31K14 (708) 224-7189
		To know, and not to do, is not yet to know.